<?php
namespace front\Controllers;

class SearchController
{
    public function searchResults()
    {
        global $lang_id;

        $bs = \Shared\Helpers\Helpers::get( 'bs' );
        $productRepo = new \Domain\Product\ProductRepository( $GLOBALS['mdb'] );
        $results = $productRepo->searchProductsByName( \Shared\Helpers\Helpers::get( 'query' ), $lang_id, (int)$bs );

        $out = \Shared\Tpl\Tpl::view( 'shop-search/products', [
            'query' => \Shared\Helpers\Helpers::get( 'query' ),
            'products' => $results['products']
        ] );

        if ( $results['ls'] > 1 )
        {
            $tpl = new \Shared\Tpl\Tpl;
            $tpl -> ls = $results['ls'];
            $tpl -> bs = $bs ? $bs : 1;
            $tpl -> link = 'wyszukiwarka/' . \Shared\Helpers\Helpers::get( 'query' );
            $out .= $tpl -> render( 'site/pager' );
        }

        return $out;
    }

    public function searchProducts()
    {
        global $lang_id;

        $products = [];
        $productRepo = new \Domain\Product\ProductRepository( $GLOBALS['mdb'] );
        $results = $productRepo->searchProductByNameAjax( \Shared\Helpers\Helpers::get( 'query' ), $lang_id );
        if ( \Shared\Helpers\Helpers::is_array_fix( $results ) ) {
            foreach ( $results as $row ) {
                $products[] = \Shared\Tpl\Tpl::view( 'shop-search/product-search', [
                    'product' => $productRepo->findCached( $row['product_id'], $lang_id )
                ] );
            }
        }

        echo json_encode( $products );
        exit;
    }
}
